Menu icon Foundation
Unable to create Foundation 6 app

Unable to install foundation 6 CLI.

Following the apps documentation I ran the following commands:

npm install -g foundation-cli bower gulp
gem install bundler

When I run foundation-apps new myApp
I get the error "foundation-apps" command not found.

I assumed it was a typo in the documentation so then I tried to run foundation -apps new myApp
I get the error :
":/usr/local/lib/node_modules/foundation-cli/node_modules/configstore/index.js:56
throw err;
^
Error: EACCES, permission denied '/Users/erichardson30/.config/configstore/update-notifier-foundation-cli.yml'
You don't have access to this file.

at Error (native)
at Object.fs.openSync (evalmachine.:500:18)
at Object.fs.readFileSync (evalmachine.:352:15)
at Object.create.all.get (/usr/local/lib/node_modules/foundation-cli/node_modules/configstore/index.js:34:29)
at Object.Configstore (/usr/local/lib/node_modules/foundation-cli/node_modules/configstore/index.js:27:44)
at new UpdateNotifier (/usr/local/lib/node_modules/foundation-cli/node_modules/update-notifier/index.js:25:17)
at module.exports (/usr/local/lib/node_modules/foundation-cli/node_modules/update-notifier/index.js:118:23)
at Object. (/usr/local/lib/node_modules/foundation-cli/bin/cli.js:40:16)
at Module._compile (module.js:460:26)
at Object.Module._extensions..js (module.js:478:10)"

I have tried uninstalling and installing numerous times and can't figure out what's wrong

foundationcliappsnpmfoundation 6

Unable to install foundation 6 CLI.

Following the apps documentation I ran the following commands:

npm install -g foundation-cli bower gulp
gem install bundler

When I run foundation-apps new myApp
I get the error "foundation-apps" command not found.

I assumed it was a typo in the documentation so then I tried to run foundation -apps new myApp
I get the error :
":/usr/local/lib/node_modules/foundation-cli/node_modules/configstore/index.js:56
throw err;
^
Error: EACCES, permission denied '/Users/erichardson30/.config/configstore/update-notifier-foundation-cli.yml'
You don't have access to this file.

at Error (native)
at Object.fs.openSync (evalmachine.:500:18)
at Object.fs.readFileSync (evalmachine.:352:15)
at Object.create.all.get (/usr/local/lib/node_modules/foundation-cli/node_modules/configstore/index.js:34:29)
at Object.Configstore (/usr/local/lib/node_modules/foundation-cli/node_modules/configstore/index.js:27:44)
at new UpdateNotifier (/usr/local/lib/node_modules/foundation-cli/node_modules/update-notifier/index.js:25:17)
at module.exports (/usr/local/lib/node_modules/foundation-cli/node_modules/update-notifier/index.js:118:23)
at Object. (/usr/local/lib/node_modules/foundation-cli/bin/cli.js:40:16)
at Module._compile (module.js:460:26)
at Object.Module._extensions..js (module.js:478:10)"

I have tried uninstalling and installing numerous times and can't figure out what's wrong

This post has been closed. No new replies can be added.

Chris Oyler almost 3 years ago

The command has changed, it's now

foundation new myApp

which brings up a prompt to select either a sites, apps, or email project.

Eric Richardson almost 3 years ago

Running that command gives me the error message in my post. Any idea what could be causing that?

Chris Oyler almost 3 years ago

Just to clarify, if you run $ foundation new example you get an error?
in your initial post, you said running foundation-apps new myApp causes an error, which it would with the new cli.

Eric Richardson almost 3 years ago

Yes running

$ foundation new example

gives me that error

Chris Oyler almost 3 years ago

have you tried running sudo?

Chris Oyler almost 3 years ago

This on is weird, I'll ask around what else could be causing it

Geoff Kimball almost 3 years ago

The format of the command has changed. Just run foundation new and you'll get a series of prompts asking you which framework to use, what the name of the folder is, etc.

Phạm Phi Phúc almost 3 years ago
Jamie Totten almost 3 years ago

Please help. I'm unable to get this to work. Whenever I run:

foundation new appName

I am never prompted for which framework I would like to use. I've tried a million different things and can't for the life of me figure this one out.

I'm wondering if I have an old version of the foundation-cli or something. But every other post I read just sends me in a new direction.

The weird thing is, if I try and create a new Foundation App from the Yeti, it works, which is great, but I am really hoping I can resolve this for my system.

Any help is greatly appreciated!

Jamie

Geoff Kimball almost 3 years ago

@Jamie Totten Do you get an error, or does nothing happen?

Phoenix H. almost 3 years ago

Why is that just not working here?
Drives me mad...

Phoenix H. almost 3 years ago

I just found that here on the web:

sudo chown yourusername:admin /Users/yourusername/.config/configstore/update-notifier-foundation-cli.yml

Now it seems to run.

Geoff Kimball almost 3 years ago

@Phoenix H. Nice, glad you were able to find a solution.

The bug came from the library update-notifier, which the CLI uses.

It may point to an issue with your Node configuration. I'd recommend reading npm's guide on fixing permission issues.

Jamie Totten almost 3 years ago

@Geoff Kimball i ended up getting it fixed. My issue was actually with node. When I tracked it down I had 2 versions of node on my machine and that was interfering with Foundation CLI and it was using a really old version of node. Thanks for your follow up!

Jamie

Geoff Kimball almost 3 years ago

@Jamie Totten Awesome, good to hear!